Subject: [bug#76622] [PATCH] tests: force Autoconf site defaults to `/dev/null'

From: Karl Berry <[email-masked]>
Date: Wed, 9 Apr 2025 11:00:25 -0600

Hi Richard and all,

    +# Ensure a consistent test environment by ignoring the system's Autoconf
    +# `configure` site defaults.
    +CONFIG_SITE=/dev/null; export CONFIG_SITE

I finally committed this change. Thanks for writing it up.

Hopefully Nelson (Beebe, who reported numerous failures with the 1.17.90
pretest) will have better luck with the next pretest. We'll see. 

Meanwhile, closing this one. --thanks, karl.

-----------------------------------------------------------------------------
test: force Autoconf config.site to /dev/null.

>From https://bugs.gnu.org/76622 (automake-patches).

* t/ax/test-defs.in: Set `CONFIG_SITE' to `/dev/null' to avoid
the local system's Autoconf site defaults from breaking the test
environment. Original report from Nelson Beebe, 26 Feb 2025.
* NEWS: mention this.
diff --git a/NEWS b/NEWS
index f46191a3c..62bfb36fd 100644
--- a/NEWS
+++ b/NEWS
@@ -2,7 +2,7 @@ For planned incompatibilities in a possible future Automake 2.0 release,
 please see NEWS-future and start following the advice there now.

 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-New in 1.17.90:
+New in 1.17.91:

 * New features added

@@ -38,16 +38,21 @@ New in 1.17.90:
     intended, i.e., omits the dependency on $(BUILT_SOURCES) for the
     distdir target. (bug#69908)

-  - The compile script is more robust to Windows configurations;
-    specifically, avoiding double-path translation on MSYS. (bug#75939)
-
   - Only warn about install.sh being found, instead of it being a fatal
     error. (bug#19964)

+  - The compile script is more robust to Windows configurations;
+    specifically, avoiding double-path translation on MSYS. (bug#75939)
+
+  - The test infrastructure sets the CONFIG_SITE environment variable to
+    /dev/null, to avoid the local system's Autoconf site defaults from
+    breaking the test environment. (bug#76622)
+    
   - AM_SILENT_RULES once again always ends with a newline. (bug#72267)

-  - AM_SANITY_CHECK outputs "no" on failure, so that a complete line is
-  printed to stdout before the error message is written to stderr. (bug#76448)
+  - AM_SANITY_CHECK now outputs "no" on failure, so that a complete line
+    is written to stdout before the error message is written to stderr.
+    (bug#76448)

 * Miscellaneous changes

diff --git a/t/ax/test-defs.in b/t/ax/test-defs.in
index 755445494..9aed4ae10 100644
--- a/t/ax/test-defs.in
+++ b/t/ax/test-defs.in
@@ -22,6 +22,10 @@
 #   - Multiple inclusions of this file should be idempotent.
 #   - This code has to be 'set -e' clean.

+# Ensure a consistent test environment by ignoring the system's Autoconf
+# `configure` site defaults.
+CONFIG_SITE=/dev/null; export CONFIG_SITE
+
 # See whether the current test script is expected to use TAP or not.
 # Use a sensible default, while allowing the scripts to override this check.
 if test -z "$am_test_protocol"; then

compile finished at Wed Apr  9 09:59:14 2025